#include <metal_stdlib>
#include <simd/simd.h>

using namespace metal;

struct FragmentOut
{
    float4 gl_FragColor [[color(0)]];
};

struct FragmentIn
{
    float2 uv [[user(locn0)]];
};

fragment FragmentOut fragmentShader(FragmentIn in [[stage_in]], constant float4& color_unif [[buffer(0)]], texture2d<float> tex_unif [[texture(0)]], sampler tex_unifSmplr [[sampler(0)]])
{
    FragmentOut out = {};
    out.gl_FragColor = tex_unif.sample(tex_unifSmplr, in.uv) * color_unif;
    return out;
}

